/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

function assignmentTest()
{
	var atomNumber = 20;
	var h = 1;
	var moleculePlugin = new MoleculePlugin(Application.molecule);
	if( moleculePlugin==undefined)
		return;
	print(moleculePlugin);
	var mol = new Molecule(moleculePlugin.activeMolecule());
	if(mol==undefined)
		return;
	print(mol);
	var atom = new Atom(mol.atom(atomNumber));
	print(atom.text);
	var assign = new NMRAssignments(mol);
	print(assign);
	var shift = assign.chemShift(atomNumber, h);
	if( shift != undefined )
	{
		print(shift.min);
		print(shift.max);
	}
	assign.setChemShift(6, 0, 1.25, 1.5);
}
