//Multiplet Changed Event, MNova will call a function with one argument, the modified multiplet
function onMultipletChanged(aMultiplet)
{
	MessageBox.information(aMultiplet.toString(), MessageBox.Ok);
}
Application.mainWindow.installEventHandler("nmrMultipletChanged", "onMultipletChanged");

//Multiplet Selected Event, MNova will call a function with one argument, the multiplet
function onMultipletClicked(aMultiplet)
{
	//MessageBox.information(aMultiplet.toString()+"\n"+aSpectrum.toString(), MessageBox.Ok);
	print(aMultiplet.toString()+" clicked");
}
Application.mainWindow.installEventHandler("nmrMultipletClicked","onMultipletClicked");

//Multiplet Highlighted Event, MNova will call a function with one argument, the multiplet 
function onMultipletHighlighted(aMultiplet)
{
	print(aMultiplet+" highlighted");
}
//Application.mainWindow.installEventHandler("nmrMultipletHighlighted","onMultipletHighlighted");


//Integral Changed Event, MNova will call a function with one argument, the modified integral
function onIntegralChanged(aIntegral)
{
	MessageBox.information(aIntegral.toString(), MessageBox.Ok);
}
Application.mainWindow.installEventHandler("nmrIntegralChanged", "onIntegralChanged");

//Assignment, MNova will call a function with five arguments, the atom number, the molecule id, the range of the assignment and the spectrum id
function onAssignment(aAtomNumber, aMoleculeId, aFrom, aTo, aSpecId)
{
	var text = "Atom Number: %1\nMolecule Id: %2\nFrom: %3\nTo: %4\n Spectrum Id: %5";
	MessageBox.information(text.replace("%1", aAtomNumber).replace("%2", aMoleculeId).replace("%3", aFrom).replace("%4", aTo).replace("%5", aSpecId), MessageBox.Ok);
}
Application.mainWindow.installEventHandler("nmrAssignmentMade", "onAssignment");

//Assignment Highlighted, MNova will call a function with five arguments, the atom number, the molecule id, the range of the assignment and the spectrum id
function onAssignmentHighLighted(aAtomNumber, aMoleculeId, aFrom, aTo, aSpecId)
{
	var text = "HIGHLIGHT: Atom Number: %1\nMolecule Id: %2\nFrom: %3\nTo: %4\n Spectrum Id: %5";
	print(text.replace("%1", aAtomNumber).replace("%2", aMoleculeId).replace("%3", aFrom).replace("%4", aTo).replace("%5", aSpecId));
}
//Application.mainWindow.installEventHandler("nmrAssignmentHighlighted", "onAssignmentHighLighted");
