/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

function multipletTest()
{
	var spec = new NMRSpectrum( nmr.activeSpectrum() );
	print(spec.multiplets());
	var sMult = new Multiplets(spec.multiplets());
	print(sMult.count);
	print(sMult.at(0));
	var sReg = new SpectrumRegion(7.0, 7.5);
	var mult = new Multiplet( spec, sReg );
	var myMultiplets = new Multiplets();
	myMultiplets.append( mult );
	//var nM = new Multiplet(new SpectrumRegion(2.5,3.0), "m");
	//nM.name="H2";
	//myMultiplets.append(nM);
	print(myMultiplets);
	spec.setMultiplets(myMultiplets);
	print(spec.multiplets());
	spec.process();
}