/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

function printProp(aSpec, aPropName)
{
	print(aPropName, ": ", aSpec.getProperty(aPropName));
}

function properties()
{
	var spec = new NMRSpectrum(nmr.activeSpectrum());

	printProp(spec, "background.color");
	printProp(spec, "background.opacity");
	printProp(spec, "curve.linestyle");
	printProp(spec, "curve.linewidth");
	printProp(spec, "curve.color");
	printProp(spec, "legend.show");
	printProp(spec, "legend.width.mm");
	printProp(spec, "legend.width.inches");
	printProp(spec, "legend.textwidth.cm");
	printProp(spec, "contours.positivenumber");
	printProp(spec, "contours.negativenumber");
	printProp(spec, "contours.scaling");
	printProp(spec, "palette");
	printProp(spec, "grid.showhorizontal");
	printProp(spec, "grid.showvertical");
	printProp(spec,  "grid.showover");
	printProp(spec, "grid.showframe");
	printProp(spec, "grid.showtracesframe");
	printProp(spec, "grid.color");
	printProp(spec, "axes.color");
	printProp(spec, "axes.font");
	printProp(spec, "axes.margin.mm");
	printProp(spec, "axes.horizontal.showlabel");
	printProp(spec, "axes.vertical.showlabel");
	printProp(spec, "axes.horizontal.maxdigits");
	printProp(spec, "axes.vertical.maxdigits");
	printProp(spec, "axes.horizontal.label");
	printProp(spec, "axes.vertical.label");
	printProp(spec, "axes.horizontal.units");
	printProp(spec, "axes.vertical.units");
	printProp(spec, "peaks.show");
	printProp(spec, "peaks.color");
	printProp(spec, "peaks.font");
	printProp(spec, "peaks.showtick");
	printProp(spec, "peaks.pointer");
	printProp(spec, "peaks.units");
	printProp(spec, "peaks.decimals");
	printProp(spec, "integrals.show");
	printProp(spec, "integrals.label.show");
	printProp(spec, "integrals.label.color");
	printProp(spec, "integrals.label.font");
	printProp(spec, "integrals.label.decimals");
	printProp(spec, "integrals.label.position");
	printProp(spec, "integrals.label.margin");
	printProp(spec, "integrals.curve.show");
	printProp(spec, "integrals.curve.color");
	printProp(spec, "integrals.curve.margin");
	printProp(spec, "integrals.curve.maxheight");
	printProp(spec, "integrals.curve.shape");
	printProp(spec, "multiplets.show");
	printProp(spec, "multiplets.font");
	printProp(spec, "multiplets.fontcolor");
	printProp(spec, "multiplets.decimals");
	printProp(spec, "multiplets.margin");
	printProp(spec, "multiplets.labelcolor");
	
	//spec.setProperty("axes.margin.mm", 3);
	//spec.setProperty("curve.color", "darkgreen");

	//spec.update();

	//mainWindow.activeWindow().update();
}