/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

function predictAndCompare()
{
	var dw = new DocumentWindow(mainWindow.activeWindow());
	var cP = new Page(dw.curPage());
	var nmrCount = cP.itemCount("NMR Spectrum");
	var molCount = cP.itemCount("Molecule");
	var itemList = new Array(2);
	if( nmrCount == 0 || molCount == 0 )
	{
		var errString;
		if( nmrCount == 0 )
			errString = "No NMR Spectrum";
		else
			errString = "No Molecule";
		MessageBox.critical(errString, MessageBox.Ok);
		return -1;
	}
	itemList[0] = cP.item(0, "NMR Spectrum");
	itemList[1] = cP.item(0, "Molecule");

	dw.setSelection(itemList);
	mainWindow.doAction("nmrCompare");
}