#
#  @(#)CSEARCH.MAN   6.5   5/25/94   RELEASE: 6   TFLAG 
#
#
# Available commands: Format(A1,5A12,A4,A1,A9)
#
#    Column 1:  Blank >>>> Dataline
#    Column 1:  Non-Blank >>>> Comment
#
#    5A12: Consecutive menu text
#    A4:   Pointer to HELP-File
#    A1:   Blank - command OK and available
#          Non-Blank: must be checked or planned in future releases
#    A9:   Access-Mode for different user-priorities
#    i3:   Pointer for menu / don't change - wrong csearch-behaviour
#          might occur (Hint for programmer: This is the parameter
#          for sr515  / see "setcom" and "sr515" )
#
#    MODIFICATIONS:
#
#    07 Dec 92 - DJS - added Transfer/Spectrum/None
#                      Transfer/Spectrum/Felix
#                      Utility/Admin-INP                    
#
#------------............------------............------------....-.........-...
#
 Hello       CSEARCH                                         1000 111111111  -1
#
 Dialog                                                      1INT 111111111
#
 Pcheck                                                      2INT 111111111
#
 Reform                                                      3INT 111111111
#
 CBtoCS                                                      6INT 111111111
#
 C13ADD      Overview                                        4INT 111111111
 C13ADD      Addition                                        4ADD 111111111
 C13ADD      Correction                                      4COR 111111111
 C13ADD      Listing                                         4LIS 111111111
 C13ADD      Backup                                          4BUC 111111111
 C13ADD      Exchange                                        4EXC 111111111
 C13ADD      Changes                                         4GLO 111111111
#
 Dataformat  INP                                             FINP 111111111
 Install                                                     INST 100000000
#
 VAX         Specific                                        7VAX 111111111
 IBM-Host    Specific                                        7IBM 111111111
 SGI         Specific                                        7SGI 111111111
 SUN         Specific                                        7SUN 111111111
 IBM/R-6000  Specific                                        7IR6 111111111
#
 Search      Structure   Identity                            IDSA 111111111
 Search      Identity                                        IDSA 111111111
 Search      Structure   Partial                             PARA 111111111   1
 Search      Substruct                                       PARA 111111111
 Search      Structure   +Shift                              RANS 111111111
 Search      Structure   +Coupling                           CJCC 111111111
 Search      Structure   Ringsystem                          RINA 111111111
 Search      Structure   #_Cycles                            CYCA 111111111
 Search      Structure   CA-#                                REGA 111111111
 Search      Structure   BS-#                                REGB 111111111
 Search      Structure   Group                               LIMA 111111111
 Search      Structure   Class                               CLAA 111111111
 Search      Structure   Screen                              NATP 111111111
 Search      Structure   Property                            PROA 111111111
 Search      Peaklist    Linegroup                           GROA 111111111  11
 Search      Linegroup                                       GROA 111111111
 Search      Peaklist    Single                              LINA 111111111
 Search      Peaklist    Identity                            EQUA 111111111  13
 Search      Peaklist    Similarity                          SIMA 111111111  14
 Search      Similarity                                      SIMA 111111111
 Search      Peaklist    Group                               SPHA 111111111
 Search      Peaklist    Mixture                             MIXA 111111111
 Search      Peaklist    Quality                             QUAA 111111111
 Search      Formula     Isomer                              ISOA 111111111
 Search      Molform                                         ISOA 111111111
 Search      Formula     Range                               MOFA 111111111
 Search      Formula     Hetero                              HETA 111111111
 Search      Formula     Series                              HOMA 111111111
 Search      Formula     Molweight                           MWTA 111111111  12
 Search      Molweight                                       MWTA 111111111
 Search      Formula     Analysis                            ANAA 111111111
 Search      Formula     Elements                            ELEM 111111111
 Search      Formula     DBE                                 DBES 111111111
 Search      Formula     Difference                          DIFA 111111111
 Search      Name                                            NAME 111111111
 Search      Literature  Journal                             LITA 111111111
 Search      Literature  Author                              AUTA 111111111
 Search      Literature  Citation                            ZITA 111111111
 Search      Literature  Volume                              VOLA 111111111
 Search      Literature  Year                                YEAR 111111111
 Search      Literature  String                              SLST 111111111
 Search      Literature  List_All                            LCLA 111111111
 Search      Literature  List_Year                           LYEA 111111111  26
 Search      Literature  Auto-Plot                           LPLO 100000000
 Search      Coupling    Overview                            CJCO 111111111
 Search      Coupling    Path                                CJCP 111111111
 Search      Coupling    +Structure                          CJCC 111111111
 Search      Relaxation                                      DRTA 111111111
 Search      ID-Number                                       DOCA 111111111
 Search      Interpret                                       ASIA 100000000
 Search      Batch                                           REPA 111111111  18
 Search      Other       Remark                              REMB 111111111
 Search      Other       Datafield                           DFLA 111111111
#
# Novice mode
#
 Search      Back                                            SEAR 111111111
 Expert                                                      NOVI 111111111
 Novice                                                      NOVI 111111111
#
 Estimate    Spectrum    Quick                               QUIA 111111111   3
 Predict                                                     QUIA 111111111
 Estimate    Spectrum    Detailed                            SPCA 111111111   8
 Estimate    Spectrum    Increment                           INCA 111111111  15
 Estimate    Spectrum    Network                             NNWE 111111111  16
 Estimate    Assignment  Single                              ASSA 111111111
 Estimate    Assignment  Series                              SERA 111111111
 Estimate    Coupling    Overview                            CJCO 111111111
 Estimate    Coupling    Path                                CJCP 111111111
 Estimate    Coupling    Structure                           CJCH 111111111
#
 Display     Datasheet                                       PLOT 111111111   2
 Display     Spectra                                         GRAA 111111111
 Display     Increment                                       SSIA 111111111   9
 Display     Coupling                                        DJCA 111111111  10
 Display     Interact    Entry                               DINT 111111111
 Display     Interact    Complete                            DINA 111111111
 Display     Result                                          MULA 111111111
 Display     Entry                                           REFA 111111111
 Display     Source                                          SSCA 111111111
 Display     ID-Number                                       DOCA 111111111
 Display     Statistics                                      STAR 111111111
 Display     Interpret                                       EDTA 111111111
#
 Define      Results     Comment                             MULB 111111111  
 Define      Results     Show                                MULA 111111111  
 Define      Results     Combine                             MULC 111111111 
 Define      Results     Reset                               MULT 111111111 
 Define      Results     Analyze                             DRAN 111111111 
 Define      Results     Recall                              MULR 111111111
 Define      Results     Store                               MULS 111111111
 Define      Queries     Comment                             DEFC 111111111
 Define      Queries     Structure                           DEFS 111111111
 Define      Queries     Peaklist                            DEFP 111111111
 Define      Queries     Reset                               DEFR 111111111
 Define      Queries     Load                                DEFL 111111111
 Define      Queries     Recall                              DEFG 111111111
 Define      Queries     Store                               DEFT 111111111  
 Define      Special     Copy                                DEFX 111111111
 Define      Special     Reset                               DEFZ 111111111
 Define      Save_Entry                                      DSE1 111111111
 Define      2D-Data     BRUKER                              DEF2 100000000
 Define      2D-Data     VNMR                                DEF2 100000000
 Define      2D-Data     JEOL                                DEF2 100000000
 Define      2D-Data     NMRi                                DEF2 100000000
 Define      2D-Data     WIN-NMR                             DEF2 100000000
 Define      2D-Data     FELIX                               DEF2 100000000
 Define      2D-Data     V_HELPER                            DEF2 100000000
 Define      2D-Data     OMEGA                               DEF2 100000000
 Define      2D-Data     None                                DEF2 100000000
#
 List        Config                                          CFGA 111111111
 List        Private                                         PRIA 111111111
 List        Statistics                                      STAT 111111111
 List        Literature                                      LCLA 111111111   5
 List        Additional  Del_Lines                           ADML 111111111
 List        Additional  Entry/Solv                          ADMS 111111111
 List        Additional  Solvent                             ADMS 111111111
 List        Additional  Polarity                            LASP 111111111
 List        Additional  CA-#                                ADMR 111111111
 List        Additional  Upgrade                             ADMU 111111111
 List        Additional  Databases                           BASE 111111111
 List        Additional  Path                                PATA 111111111
 List        Additional  Datafields                          ADMF 111111111
 List        Additional  Sourcecode                          ADMC 111111111   4
 List        Further     Scripts                             LIS1 111111111
 List        Further     DB-Titles                           TITL 111111111
 List        Storage     Results                             MULB 111111111
 List        Storage     Structure                           DEFA 111111111
 List        Storage     Peaklist                            DEFB 111111111
 List        Account                                         ACCA 100000000
#
 Check       Database    Shiftvalue                          VERS 111111111
 Check       Database    Increment                           VERI 111111111  24
 Check       Database    Flag/Assig                          VERF 111111111
 Check       Database    Flag/Range                          VERF 111111111
 Check       Database    Flag/Logic                          VERF 111111111
 Check       Database    Couplings                           VERP 111111111
 Check       Database    Valency                             VERV 111111111
 Check       Database    Coordinate                          VERC 111111111  27
 Check       Database    Registry-#                          VERR 111111111
 Check       Database    HOSE-Code                           HOSE 111111111
 Check       Database    Network/B                           NNWO 111111111  19
 Check       Database    Network/I                           NNWI 111111111  20
 Check       Database    Assignment                          NNWA 111111111
 Check       Database    Distribute                          CDIS 111111111
 Check       Database    Symmetry                            CSYM 111111111  22
 Check       Database    IdentCode                           IDSO 111111111
 Check       Database    IdentEntry                          CDIE 111111111
 Check       Database    Name                                CNAM 111111111  23
 Check       Database    Name-Str                            CNST 111111111
 Check       Simply_All                                      CALL 111111111
 Check       Inputdata                                       VERN 111111111
 Check       Overlap                                         OVER 111111111
 Check       Manage                                          VERM 111111111
 Check       System                                          SYSC 111111111 
 Check       Stereo      Center                              VERT 111111111
 Check       Stereo      Errorcheck                          VERE 111111111   6
 Check       Stereo      Interact                            CHKS 111111111  17
 Check       Archive                                         ARC1 100000000
#
 Set         Nucleus                                         NUCA 111111111
 Set         Range       Manual                              ENVA 111111111
 Set         Range       Automatic                           ENVB 100000000
 Set         Range       All_data                            ENVC 111111111
 Set         Range       Last_Data                           ENVE 111111111
 Set         Range       By_Date                             ENVT 111111111
 Set         Range       Exclude                             ENVD 111111111
 Set         Colors                                          COLA 111111111
 Set         Language    English                             SETL 111111111
 Set         Language    German                              SETL 111111111
 Set         Table                                           SETT 111111111
 Set         Settings                                        SETA 111111111
 Set         Path                                            SETP 111111111
 Set         Polarity                                        SETY 111111111 
 Set         Protocol                                        SETR 111111111
 Set         Trace                                           ERRA 100000000
#
 Utility     Data        Edit-INP                            EDIA 111111111
 Utility     Data        Admin-INP                           EADM 111111111
 Utility     Data        Add-INP                             EADD 111111111
 Utility     Data        Add-SDF                             SADD 111111111 
 Utility     Data        Clean-Coor                          ECOO 111111111
 Utility     Data        Modify-INP                          UMIN 111111111
 Utility     Data        CompHOSE                            ECCH 100000000
 Utility     Data        Duplicate                           ECOD 100000000
 Utility     Execute     Script-A                            SCRA 111111111
 Utility     Execute     Script-B                            SCRB 111111111
 Utility     Execute     Script-C                            SCRC 111111111
 Utility     Execute     Script-D                            SCRD 111111111
 Utility     Execute     Script-E                            SCRE 111111111
 Utility     Execute     Script-F                            SCRF 111111111
 Utility     Execute     Script-G                            SCRG 111111111
 Utility     Execute     Script-H                            SCRH 111111111
 Utility     Execute     Script-I                            SCRI 111111111
 Utility     Execute     Script-J                            SCRJ 111111111
 Utility     Execute     Script-K                            SCRK 111111111
 Utility     Execute     Script-L                            SCRL 111111111
 Utility     Info        Get                                 NEWA 111111111
 Utility     Info        Send                                REMA*100000000
 Utility     Output      Header                              COMA 111111111
 Utility     Output      Delete                              DELA 111111111
 Utility     Output      Rename                              SETR 111111111
 Utility     Output      Plot-Title                          SETI 111111111
 Utility     Clear                                           CLSA 111111111
 Utility     Preview     HP-GL                               PREH 111111111
 Utility     Preview     Postscript                          PREP 111111111
 Utility     Preview     Step/HP-GL                          PSER 111111111
 Utility     Preview     Step/PS                             PSEP 111111111
 Utility     Preview     SDF-File                            PSDF 111111111
 Utility     Preview     Step/SDF                            PSDF 111111111
#
# filename for HELP-Directory of Manual Command must be MANx !!!!
#
 Utility     Manual      Complete                            MANC 111111111
 Utility     Manual      Selective                           MANS 111111111   7
 Utility     Demo                                            DEMO 111111111
 Utility     Combine                                         MPLA 111111111  21
 Utility     User        User-A                              USEA 111111111
 Utility     User        User-B                              USEB 111111111
 Utility     User        User-C                              USEC 111111111  25
 Utility     User        User-D                              USED 111111111
 Utility     User        User-E                              USEE 111111111
 Utility     User        User-F                              USEF 111111111
 Utility     User        User-G                              USEG 111111111
 Utility     User        User-H                              USEH 111111111
 Utility     User        User-I                              USEI 111111111
 Utility     User        User-J                              USEJ 111111111
 Utility     User        User-K                              USEK 111111111
 Utility     User        User-L                              USEL 111111111
#
 Transfer    Result      Internal    Recall                  MULR 111111111
 Transfer    Result      Internal    Store                   MULS 111111111
 Transfer    Result      MACCS       Recall                  WINR 111111111
 Transfer    Result      MACCS       Store                   WINS 111111111
 Transfer    Result      RESY        Recall                  WINR 111111111
 Transfer    Result      RESY        Store                   WINS 111111111
 Transfer    Result      Atom-Info   Recall                  WACI 111111111
 Transfer    Result      Atom-Info   Store                   WACI 111111111
 Transfer    Structure   MOLfile     Recall                  WINA 111111111
 Transfer    Structure   MOLfile     Store                   WINB 111111111
 Transfer    Structure   SMD         Recall                  WINC 111111111
 Transfer    Structure   SMD         Store                   WIND 111111111
 Transfer    Structure   JCAMP-CS    Recall                  WINE 111111111
 Transfer    Structure   JCAMP-CS    Store                   WINF 111111111
 Transfer    Structure   DARC        Recall                  WING 111111111
 Transfer    Structure   DARC        Store                   WINH 111111111
 Transfer    Str-Spc     Internal    Recall                  DEFG 111111111
 Transfer    Str-Spc     Internal    Store                   DEFT 111111111
 Transfer    Str-Spc     Database    Recall                  DEFD 111111111
 Transfer    Str-Spc     *.C13       Recall                  DEFN 111111111
 Transfer    Str-Spc     *.P31       Recall                  DEFN 111111111
 Transfer    Str-Spc     *.SE77      Recall                  DEFN 111111111
 Transfer    Str-Spc     *.O17       Recall                  DEFN 111111111
 Transfer    Str-Spc     *.B11       Recall                  DEFN 111111111
 Transfer    Str-Spc     *.TE125     Recall                  DEFN 111111111
 Transfer    Str-Spc     *.N15       Recall                  DEFN 111111111
 Transfer    Str-Spc     *.SI29      Recall                  DEFN 111111111
 Transfer    Str-Spc     *.S33       Recall                  DEFN 111111111
 Transfer    Str-Spc     *.F19       Recall                  DEFN 111111111
 Transfer    Str-Spc     *.LI7       Recall                  DEFN 111111111
 Transfer    Str-Spc     *.INP       Recall                  DEFI 111111111
 Transfer    Str-Spc     *.STR       Recall                  DEFY 111111111
 Transfer    Spectrum    BRUKER      Recall                  WINP 111111111
 Transfer    Spectrum    VNMR        Recall                  WINV 111111111
 Transfer    Spectrum    JEOL        Recall                  WINJ 111111111
 Transfer    Spectrum    NMRi        Recall                  WINN 111111111
 Transfer    Spectrum    WIN-NMR     Recall                  WINW 111111111
 Transfer    Spectrum    FELIX       Recall                  WINX 111111111
 Transfer    Spectrum    V_HELPER    Recall                  WINZ 111111111
 Transfer    Spectrum    OMEGA       Recall                  WINO 111111111
 Transfer    Spectrum    None                                NOTH 111111111
 Transfer    Coupling                                        ADMJ 111111111
 Transfer    Shifts                                          ADMV 111111111
 Transfer    Remark      Complete                            DOWR 111111111
 Transfer    Remark      Datafield                           DOWD 111111111
 Transfer    Download                                        DOWA 100000000
#
 Help                                                        HELP 111111111
#
 Finish                                                      BYEA 111111111
#
#Displaying Results
#
 Structure                                                   1DIS 111111111
 Spectra                                                     GRAA 111111111
 Str/Spc                                                     2DIS 111111111
 Datasheet                                                   PLOT 111111111
 Coupling                                                    DJCB 111111111
 Complete    Screen                                          REFA 111111111
 Complete    Printer                                         REFA 111111111
 Complete    Both                                            REFA 111111111
 Names       Screen                                          3DIS 111111111
 Names       Printer                                         3DIS 111111111
 Names       Both                                            3DIS 111111111
 Literature  Screen                                          4DIS 111111111
 Literature  Printer                                         4DIS 111111111
 Literature  Both                                            4DIS 111111111
 Table       Screen                                          5DIS 111111111
 Table       Printer                                         5DIS 111111111
 Table       Both                                            5DIS 111111111
 Export                                                      SAVE 111111111
 Quit                                                        6DIS 111111111
 Quit_all                                                    6DIS 111111111
 Abort                                                       6DIS 111111111
 Exit                                                        EXIT 111111111
#
#Structure Input
#
 LineNote                                                    WLNA 111111111
 SMD                                                         WINC 111111111
 JCAMP-CS                                                    WINE 111111111
 MOLFILE                                                     WINA 111111111
 DARC                                                        WING 111111111
 RESY                                                        RESY 111111111
#
