/******************************************************************************************************
Copyright (C) 2009 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/ 
function customMultipletLabel()
{
	MultipletLabelReporter.call(this);

	this.name = "My Multiplet Label";
}
customMultipletLabel.prototype = new MultipletLabelReporter();
customMultipletLabel.prototype.report = function(aMultiplet)
{
	var multLabel = new String("%1\n%3");
	multLabel = multLabel.replace("%1",aMultiplet.name).replace("%2",aMultiplet.category).replace("%3",aMultiplet.delta.toFixed(2));
	return multLabel;
}

Env.MultipletLabelFunctions.push( new customMultipletLabel() );

