/*******************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*******************************************************************************************/ 

function dirTest()
{
	var d = new Dir(Dir.home());
	print(d);
	print(Dir.home());
	print(Dir.current());
	print(Dir.root());
	print(Dir.temp());
	print(Dir.application());
	print(Dir.drives());
	print(Dir.cleanDirPath("c:///temp\\\\\\"));
	print(Dir.convertSeparators("c:/temp\\test"));

	d = new Dir(Dir.application());
	print(d);

	var d1 = new Dir(d);
	print("d1: ", d1);

	print("scripts directory exists: " + d.fileExists("scripts"));
	d.cd("scripts");
	print(d);
	d.cdUp();
	print(d);

	print(d.entryList("*.dll", Dir.Files, Dir.Size));

	print(d.filePath("test.txt"));

	var d = new Dir(Dir.temp());
	print(d);
	d.mkdir("MNova_QtScript_Test_Dir");
	d.cd("MNova_QtScript_Test_Dir");
	print(d);
	d.cdUp();

	d.mkpath("MNova_QtScript_Test_Dir_1/2/3/4");
	d.cd("MNova_QtScript_Test_Dir_1/2/3/4");
	print(d);

	d.cdUp();
	d.rmdir("4");
	print(d.cd("4"));
	d.cd("../../..");
	print(d);
	print(d.rmpath("MNova_QtScript_Test_Dir_1/2/3"));

	print(Dir.current());
	Dir.setCurrent(Dir.temp());
	print(Dir.current());
}
