/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

function drawingObjects()
{
	var w = new DocumentWindow(mainWindow.activeWindow());
	var p = new Page(w.curPage());

	var text = draw.text("<b>This is text</b>", true);
	text.translate(100,100);
	print(text);
	print(text.plainText);

	var rect = draw.rectangle(p.width/3,p.height/3);
	rect.translate(50, 75);
	rect.angle = 45;
	print(rect);
	
	var arrow = draw.arrow(p.right, p.top, p.left, p.bottom, false, true);
	arrow.startX = (p.right+p.left)/2.0;
	arrow.startY = p.top+100;
	print(arrow);

	var ellipse = draw.ellipse(p.width/2,p.height/2);
	ellipse.angle=90;
	print(ellipse);

	w.update();
}