/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

function itemPos()
{
	var w = new DocumentWindow(mainWindow.activeWindow());
	var p = new Page(w.curPage());
	var c = p.itemCount();
	var i = 0;
	var itemArray = new Array(c);
	for(i=0; i<c; i++)
	{
		itemArray[i] = p.item(i);
	}
	for( i = 0; i<itemArray.length; i++ )
	{
		switch( itemArray[i].name() )
		{
			case "NMR Spectrum":
				var nmrSpc = new NMRSpectrum(itemArray[i]);
				print("Spectrum");
				print(nmrSpc.title);
				var tit = draw.text("<h2>"+nmrSpc.title+"</h2>", true);
				tit.top=nmrSpc.top;
				tit.left = nmrSpc.left+(nmrSpc.width-tit.width)/2
				nmrSpc.top = tit.bottom;
				nmrSpc.height = nmrSpc.height-tit.height;
				break;
			case "Molecule":
				print("Molecule");
				print(itemArray[i]);
				break;
			default:
				print(itemArray[i]);
				break;
		}
	}
	w.update();
}