/*******************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*******************************************************************************************/ 

function criticalTest()
{
	MessageBox.critical("This is critical error.");
}

function questionTest()
{
	MessageBox.question("How are you?");
	MessageBox.question("Do you want to continue?", MessageBox.Yes, MessageBox.No, MessageBox.Cancel);
	if (MessageBox.question("Are you sure?", MessageBox.Yes, MessageBox.No, MessageBox.Cancel, "Last Question") == MessageBox.Cancel)
		print("Canceled");
}

function informationTest()
{
	MessageBox.information("Everything is fine.");
}

function warningTest()
{
	MessageBox.warning("Insignificant problems detected.");
}

function messageBoxText()
{
	criticalTest();
	questionTest();
	informationTest();
	warningTest();
}
