/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

function nmrSelectionTest()
{
	var dw = new DocumentWindow(mainWindow.activeWindow());
	var cP = new Page(dw.curPage());
	var nmrCount = cP.itemCount("NMR Spectrum");
	var itemList = new Array(nmrCount);
	for( var i = 0; i < nmrCount; i++ )
		itemList[i] = cP.item(i, "NMR Spectrum");
	dw.setSelection(itemList);
	//dw.setSelection(itemList[1])
	dw.setActive(itemList[1]);

	var sel = dw.selection();
	print("Items selected: "+sel.length);
	for( var i = 0; i<sel.length; i++)
		print( sel[i] );
	dw.update();
}