/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

// Opens a spectrum at aSpecPath and all the molfiles located in the same directory
function openSpecWithMols(aSpecPath)
{
	var dirPath = File.absDirPath(aSpecPath);
	var dir = Dir(dirPath);
	dir.cdUp();
	var files = getMaskFiles(dirPath, dir.absPath, "*.mol", "*", false);
	files.push(dirPath);
	serialization.open(files);
}
