/******************************************************************************************************
Copyright (C) 2008 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*****************************************************************************************************/

function peakTest()
{
	var spec = new NMRSpectrum( nmr.activeSpectrum() );
	var sR = new SpectrumRegion( 4.0, 3.5, 75, 65 );
	var ps = new Peaks(spec, sR);//peaks in sR
	//ps.at(0).type=Peak.Artifact;
	//ps.at(0).type=Peak.Minimum
	print(ps);
	var p = new Peak(72.73, 3.17, spec);//single peak
	print(p);
	ps.append(p);
	spec.setPeaks(ps);
	print( spec.peaks());
	spec.process();
}