/*******************************************************************************************
Copyright (C) 2009 Mestrelab Research S.L. All rights reserved.

This file is part of the MNova scripting toolkit.

Authorized users of MNova Software may use this file freely, but this file is provided AS IS
with NO WARRANTY OF ANY KIND, INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.
*******************************************************************************************/ 

function callEval(aStr){
	try {
		var a = eval(aStr);
		return a;
	}
	catch(e) {
		return aStr;
	}
}

// Sum all the arguments
// Usage: 	sum(1, 2);
//		sum(1, 2, 3);
//		sum("a", "b", "c", "d");
function sum() 
{
	var result;
	if (!arguments.length)
		return result;
	result = arguments[0];
	for(var i = 1; i < arguments.length; i++)
		result += arguments[i];
	return result;
}

function sub(a,b)
{
	return a-b;
}

function mul(a, b)
{
	return a*b;
}

function div(a, b)
{
	if(b==0)
		return 0;
	return a/b;
}

function C2K(celsius)
{
	return celsius + 273.15;
}

function K2C(kelvin)
{
	return kelvin - 273.15;
}

function C2F(celsius)
{
	return celsius*1.8 + 32;
}

function F2C(fahrenheit)
{
	return (fahrenheit-32)/1.8;
}

function K2F(kelvin)
{
	return kelvin*1.8 - 459.67;
}

function F2K(fahrenheit)
{
	return (fahrenheit+459.67)/1.8;
}
